class ConverterBase:
	def __init__(self, name, data):
		self.name = name
		self.data = data
	
	def getRaw(self):
		"Return raw content"

		return self.data

	def getText(self):
		"Return content as raw text"

		return ''

	def getHtml(self):
		"Return content as HTML"

		return ''

	def getImageNames(self):
		"Return list of image names"

		return []

	def getImage(self, image_name):
		"Return image (as raw content)"

		raise KeyError

# vim:ts=2
